- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# rabbitmq_binding – Manage rabbitMQ bindings

- Synopsis

- Requirements

- Parameters

- Examples

- Status

## Synopsis

- This module uses rabbitMQ REST APIs to create / delete bindings.

## Requirements

The below requirements are needed on the host that executes this module.

- requests >= 1.0.0

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
arguments - | Default: {} | extra arguments for exchange. If defined this argument is a key/value dictionary
ca_cert path |  | CA certificate to verify SSL connection to management API. aliases: cacert
client_cert path |  | Client certificate to send on SSL connections to management API. aliases: cert
client_key path |  | Private key matching the client certificate. aliases: key
destination - / required |  | destination exchange or queue for the binding. aliases: dst, dest
destination_type - / required | Choices: queue exchange | Either queue or exchange. aliases: type, dest_type
login_host string | Default: "localhost" | RabbitMQ host for connection.
login_password string |  | RabbitMQ password for connection.
login_port string | Default: "15672" | RabbitMQ management API port.
login_protocol string | Choices: http ← https | RabbitMQ management API protocol.
login_user string | Default: "guest" | RabbitMQ user for connection.
name - / required |  | source exchange to create binding on. aliases: src, source
routing_key - | Default: "#" | routing key for the binding.
state - | Choices: present ← absent | Whether the bindings should be present or absent.
vhost string | Default: "/" | RabbitMQ virtual host.

## Examples

    # Bind myQueue to directExchange with routing key info
    - rabbitmq_binding:
        name: directExchange
        destination: myQueue
        type: queue
        routing_key: info

    # Bind directExchange to topicExchange with routing key *.info
    - rabbitmq_binding:
        name: topicExchange
        destination: topicExchange
        type: exchange
        routing_key: '*.info'

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Manuel Sousa (@manuel-sousa)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.